Package org.eclipse.cdt.core.resources

# Interface IConsole

public interface IConsole
CDT console adaptor interface providing output streams. The adaptor provides the means of access to UI plugin console streams.

## Method Summary

Modifier and Type
Method
Description
`ConsoleOutputStream`
`getErrorStream()`
`ConsoleOutputStream`
`getInfoStream()`
`ConsoleOutputStream`
`getOutputStream()`
`void`
`start(org.eclipse.core.resources.IProject project)`
Start the console for a given project.

## Method Details

### start

void start(org.eclipse.core.resources.IProject project)
Start the console for a given project.

Parameters:
  `project` - - the project to start the console.

### getOutputStream

ConsoleOutputStream getOutputStream() throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### getInfoStream

ConsoleOutputStream getInfoStream() throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### getErrorStream

ConsoleOutputStream getErrorStream() throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`